<?php
declare(strict_types=1);

namespace Catequil\Cache;

use Catequil\Cache\Service\CacheManager;
use Catequil\Tool\Metadata\MetadataManager;
use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ConfigAggregator\PhpFileProvider;
use Laminas\ServiceManager\AbstractFactory\ReflectionBasedAbstractFactory;
use Symfony\Component\Cache\Adapter\RedisAdapter;

return (new ConfigAggregator([
    \Catequil\Cli\ConfigProvider::class,
    \Catequil\Tool\ConfigProvider::class,
    ConfigProvider::class,
    new PhpFileProvider(__DIR__ . '/autoload/{{,*.}global,{,*.}local}.php'),
    new ArrayProvider([
        'development' => true,
        CacheManager::class => [
            'cache.test' => [
                'adapter' => RedisAdapter::class,
                'options' => [
                    'database' => 15,
                ],
            ],
        ],
        'dependencies' => [
            'abstract_factories' => [
                Service\CacheAbstractFactory::class,
                ReflectionBasedAbstractFactory::class,
            ],
        ],
    ]),
]))->getMergedConfig();