<?php
declare(strict_types=1);

namespace Catequil\Cache\Service;

use Catequil\Cache\Adapter\RedisAdapterFactory;
use Laminas\ServiceManager\AbstractPluginManager;
use Laminas\ServiceManager\Factory\InvokableFactory;
use Symfony\Component\Cache\Adapter\ArrayAdapter;
use Symfony\Component\Cache\Adapter\RedisAdapter;
use Symfony\Contracts\Cache\CacheInterface;

/**
 * Class CachePluginManager
 *
 * @package Catequil\Cache\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-cache
 */
final class CachePluginManager extends AbstractPluginManager
{
    protected $instanceOf = CacheInterface::class;
    protected $sharedByDefault = false;

    protected $factories = [
        ArrayAdapter::class => InvokableFactory::class,
        RedisAdapter::class => RedisAdapterFactory::class,
    ];
}