<?php
declare(strict_types=1);

namespace Catequil\Cache\Service;

use Laminas\ServiceManager\Factory\FactoryInterface;
use Psr\Container\ContainerInterface;

/**
 * Class CachePluginManagerFactory
 *
 * @package Catequil\Cache\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-cache
 */
final class CachePluginManagerFactory implements FactoryInterface
{
    /**
     * @param ContainerInterface $container
     * @param $requestedName
     * @param array|null $options
     *
     * @return CachePluginManager
     *
     * @noinspection PhpDocMissingThrowsInspection
     */
    public function __invoke(ContainerInterface $container, $requestedName, ?array $options = null): CachePluginManager
    {
        /** @noinspection PhpUnhandledExceptionInspection */
        $config = $container->has('config') ? $container->get('config') : [];

        return new CachePluginManager(
            $container,
            $config[CachePluginManager::class] ?? [],
        );
    }
}