<?php
declare(strict_types=1);

namespace CatequilTest\Cache;

use Catequil\Cache\Service\CachePluginManager;
use Laminas\ServiceManager\ServiceManager;
use PHPUnit\Framework\TestCase;

/**
 * Class AbstractTestCase
 *
 * @package CatequilTest\Cache
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-cache
 */
abstract class AbstractTestCase extends TestCase
{
    /**
     * @return ServiceManager
     */
    protected static function getContainer(): ServiceManager
    {
        return include __DIR__ . '/../config/container.php';
    }

    protected static function getCachePluginManager(): CachePluginManager
    {
        /** @noinspection PhpUnhandledExceptionInspection */
        return self::getContainer()->get(CachePluginManager::class);
    }
}