<?php
declare(strict_types=1);

namespace CatequilTest\Cache\Adapter;

use CatequilTest\Cache\AbstractTestCase;
use Symfony\Component\Cache\Adapter\RedisAdapter;

/**
 * Class RedisAdapterFactoryTest
 *
 * @package CatequilTest\Cache\Adapter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-cache
 */
final class RedisAdapterFactoryTest extends AbstractTestCase
{
    public function testCanCreateTheAdapter()
    {
        $adapters = self::getCachePluginManager();

        self::assertTrue($adapters->has(RedisAdapter::class));
        /** @var RedisAdapter $adapter */
        $adapter = $adapters->get(RedisAdapter::class, [
            'namespace' => 'test',
            'default_lifetime' => 123,
        ]);

        self::assertInstanceOf(RedisAdapter::class, $adapter);
    }
}