<?php
declare(strict_types=1);

namespace CatequilTest\Cache\Service;

use CatequilTest\Cache\AbstractTestCase;
use Symfony\Contracts\Cache\CacheInterface;

/**
 * Class CacheAbstractFactoryTest
 *
 * @package CatequilTest\Cache\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-cache
 */
final class CacheAbstractFactoryTest extends AbstractTestCase
{
    public function testCanCreateDefaultCache()
    {
        $container = self::getContainer();

        self::assertTrue($container->has('cache'));
        /** @var CacheInterface $cache */
        /** @noinspection PhpUnhandledExceptionInspection */
        $cache = $container->get('cache');

        self::assertInstanceOf(CacheInterface::class, $cache);
    }

    public function testCanCreateAbstractCache()
    {
        $container = self::getContainer();

        self::assertTrue($container->has('cache.test'));
        /** @noinspection PhpUnhandledExceptionInspection */
        self::assertInstanceOf(CacheInterface::class, $container->get('cache.test'));
    }
}