<?php
declare(strict_types=1);

namespace CatequilTest\Cache\Service;

use CatequilTest\Cache\AbstractTestCase;
use Predis\ClientInterface;

/**
 * Class RedisFactoryTest
 *
 * @package CatequilTest\Cache\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-cache
 */
final class RedisFactoryTest extends AbstractTestCase
{
    public function testCanCreateTheClient()
    {
        $container = self::getContainer();

        self::assertTrue($container->has(ClientInterface::class));
        /** @var ClientInterface $client */
        $client = $container->get(ClientInterface::class);

        self::assertInstanceOf(ClientInterface::class, $client);

        $client->select(15);
        $client->set('timestamp', time());
    }
}